# What is SDR Birdrec?
SDR Birdrec is an open-source software to record FM radio signals transmitted from miniature backpacks attached to songbirds like zebra finches ([GitHub link](https://github.com/rlinus/SdrBirdrec)). It is programmed in MATLAB (GUI/frontend) and C++ (backend). Binaries are provided for 64-bit Windows. In combination with the backpacks the software is thought as a tool to study the social behaviour of songbirds. The backpacks consist of a microphone or accelerometer (which functions as a contact microphone) together with a battery and a FM radio transmitter. SDR Birdrec provides functionality to demodulate and record the radio signal from multiple of these backpacks with a single SDR (software defined radio) device. As the carrier frequency of the radio signal from the backpacks is typically not stable, the software supports carrier frequency tracking. Additionally, one or multiple analog [NI DAQ](http://www.ni.com/data-acquisition/) channels can be recorded, where clock synchronization between the SDR and NI DAQ device is supported. This feature allows to simultaneously record from the backpacks and from stationary microphones.

## About the Backpacks and the Typical Experimental Setup \label{backpack_and_exp_setup}
The software is designed to be used in scientific experiments that are aimed to study the social behaviour of zebra finches. In a typical experimental setup multiple birds are in a cage, which has a volume of about 1 m<sup>3</sup>. Each bird is equipped with a backpack that functions as a wireless (contact) microphone. The backpacks transmit a radio signal in the 300 MHz band. The cage is equipped with a receiver antenna, a stationary microphone and multiple video cameras. The backpacks make it possible to assign vocalizations to specific birds.

In order to not affect the behaviour of the birds the backpacks must be very light (~1 g). Nevertheless, the battery should last several days. These requirements limit the complexity of the electronic circuit and the size of the battery on the backpacks. In the current design, which is based on a design by \citet{Ter_Maat_2014}, a very simple transmitter circuit is used, with only one transistor and only one coil that functions as the inductor in the LC circuit that determines the carrier frequency of the radio signal and at the same time as the antenna. As required, the advantages of this design are its light weight and its low power consumption. However, as a result of this design the carrier frequency is very unstable. The carrier frequency is a function of the inductance of the coil. The inductance, on the other hand, is modulated by changes in the magnetic permeability in the surrounding area of the coil. Because the coil is also used as an antenna, it can not be shielded against such influences without significant attenuation of the radio signal. During the recordings this basically results in shifts of the carrier frequency induced by movements of the bird that carries the backpack and by movements of other birds that are in the near proximity of this bird. The magnitude of these shifts has been observed to be between 100 kHz and 1 MHz in most cases. Furthermore, the shifts are usually temporary, in that the carrier frequency shifts back to its original position when the birds stop the movements.

The instability of the carrier frequency makes the demodulation of the radio signal more difficult. As indicated by its name, in a FM (frequency modulation) transmitter the carrier frequency is modulated by the amplitude of the signal that is to be transmitted (which is the microphone signal in this application). The demodulation of such a signal basically consists in the recovery of the instantaneous carrier frequency from the received radio signal. However, due to the effects described above, the carrier frequency is also modulated by changes of the magnetic permeability near the transmitter and hence indirectly by movements of the birds. Hence, the demodulated signal ends up to be the sum of the microphone signal and the integral of the frequency changes induced by the described effect. This second signal part can, of course, be interpreted as noise, however, as it is modulated by movements of the birds, it encodes valuable information, for instance it can be used to detect copulations.

In preparation of a copulation event the male bird jumps on the back of the female bird. It has been observed that this causes a stereotyped downshift of the carrier frequency of the radio signal from the backpack on the female bird for the duration of the copulation (~2 s). Together with cues in the auditory recording (the male bird flaps its wing to keep balance) this can be used to detect copulations.